# Generated by Django 3.2.25 on 2024-10-19 12:44

from django.db import migrations, models
import django.db.models.deletion


def create_dummy_skill(apps, schema_editor):
    Skill = apps.get_model("ausleihe", "Skill")
    db_alias = schema_editor.connection.alias
    Skill.objects.using(db_alias).create(
        id=0,
        nummer=0,
        name="Dummy Skill",
        anzahl_plaetze=0,
        min_personen=0,
        max_personen=0,
        dauer=0,
    )


def delete_dummy_skill(apps, schema_editor):
    Skill = apps.get_model("ausleihe", "Skill")
    db_alias = schema_editor.connection.alias
    Skill.objects.using(db_alias).get(id=0).delete()


class Migration(migrations.Migration):

    dependencies = [
        ('ausleihe', '0007_skill'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='skill',
            options={'ordering': ('nummer',), 'verbose_name': 'Skill', 'verbose_name_plural': 'Skills'},
        ),
        migrations.RunPython(create_dummy_skill, delete_dummy_skill),
        migrations.AddField(
            model_name='skillset',
            name='skill',
            field=models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='skillsets', to='ausleihe.skill'),
            preserve_default=False,
        ),
    ]
